%define xorg_ver %(pkg-config xorg-server --modversion|cut -d. -f 1-2)
Name:          xf86-input-joystick
Version:       1.6.4
Release:       1mamba
Summary:       X.Org input drivers for joystick
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.x.org/wiki/
Source:        https://ftp.x.org/archive/individual/driver/xf86-input-joystick-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: xorg-server-devel >= 1.21.3
BuildRequires: xorg-proto-devel
Requires:      xorg-server >= %{xorg_ver}
Requires:      xorg-server <= %{xorg_ver}.255
Provides:      xorgdrvinput
Provides:      xorg-drv-input-joystick
Obsoletes:     xorg-drv-input-joystick < 1.6.4

%description
X.Org input drivers for joystick.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/input/joystick_drv.so
%{_libdir}/pkgconfig/xorg-joystick.pc
%{_mandir}/man4/joystick.4*
%{_includedir}/xorg/joystick-properties.h

%changelog
* Sun Feb 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.4-1mamba
- update to 1.6.4

* Sun Feb 20 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.3-4mamba
- rebuilt with xorg-server 1.21.3

* Sun Mar 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.3-3mamba
- rebuilt with xorg-server 1.20.4

* Thu Dec 07 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.3-2mamba
- rebuilt with xorg-server 1.19.5

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic update by autodist

* Fri Aug 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.2-4mamba
- rebuilt with xorg-server 1.17.2

* Sat Jun 14 2014 Automatic Build System <autodist@mambasoft.it> 1.6.2-3mamba
- X.org 1.15 rebuild

* Tue Mar 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.2-2mamba
- xorg-server 1.12 mass rebuild

* Sun Jan 20 2013 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Thu Jun 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.1-1mamba
- update to 1.6.1

* Fri Feb 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0-2mamba
- automatic update by autodist

* Wed Apr 20 2011 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic update by autodist

* Sun Oct 10 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.0-2mamba
- rebuilt with Xorg 1.8

* Thu Jan 14 2010 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic update by autodist


* Sat Jun 6 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.4.1-1mamba
- package created

